Manuel PHP
Précédent |  | Suivant

# SDO_List::insert

(no version information, might be only in CVS)

SDO_List::insert -- Insère dans une liste

## Description

void SDO_List::insert ( mixed value [, int index] )

Avertissement
Cette fonction est EXPERIMENTALE. Cela signifie que le comportement de cette fonction, son nom et concrètement, TOUT ce qui est documenté ici peut changer dans un futur proche, SANS PREAVIS! Soyez-en conscient, et utilisez cette fonction à vos risques et périls.

Insère un nouvel évènement à une position spécifiée dans la liste. Tous les items qui suivent dans la liste sont déplacés vers le haut.

## Liste de paramètres

value

  La nouvelle valeur à être insérée. Cela peut soit être une primitive ou un SDO_DataObject.

index

  La position à laquelle insérer le nouvel évènement. Si cet argument n'est pas spécifié alors la nouvelle valeur sera ajoutée à la suite.

## Valeurs de retour

Aucun.

## Exceptions

SDO_IndexOutOfBoundsException

  Émis si l'index de la liste est inférieur à zéro ou supérieur à sa taille.

SDO_InvalidConversionException

  Émis si le type de la nouvelle valeur ne correspond pas avec le type de la liste (par exemple, le type de propriété de valeurs multiples que la liste représente).

Précédent | Sommaire | Suivant
SDO_DataObject::getType | Niveau supérieur | SDO_Model_Property::getContainingType